import express from "express";
const router = express.Router();

import { signup, signin, verifyUser, showUser, forgotPassword, resetPassword, } from "../controllers/user.js";

router.post("/signin", signin);
router.post("/signup", signup);
router.get('/:id/verify/:token/', verifyUser);
router.get('/:id', showUser);
router.post("/forgotpassword", forgotPassword);
router.post("/resetpassword/:id/:token", resetPassword);




export default router;